%global sdkver 1.3.268.0

Summary:        API and commands for processing SPIR-V modules
Name:           spirv-tools
Version:        2023.2
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/SPIRV-Tools
Source0:        %{url}/archive/vulkan-sdk-%{sdkver}.tar.gz

Patch3000:      fix-gcc12-build.patch

BuildRequires:  cmake3, ninja-build, gcc-c++
BuildRequires:  python3-devel, python3-rpm-macros, spirv-headers-devel
Requires:       %{name}-libs = %{version}-%{release}

%description
The SPIR-V Tools project provides an API and commands for processing SPIR-V modules.

%package        libs
Summary:        Library files for %{name}
Provides:       %{name}-libs = %{version}

%description    libs
library files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
This package provides development files for %{name}.

%prep
%autosetup -p1 -n SPIRV-Tools-vulkan-sdk-%{sdkver}

%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_LIBDIR=%{_lib} \
        -DSPIRV-Headers_SOURCE_DIR=%{_prefix} \
        -DPYTHON_EXECUTABLE=%{__python3} \
        -DSPIRV_TOOLS_BUILD_STATIC=OFF \
        -GNinja
%cmake3_build

%install
%cmake3_install


%files
%license LICENSE
%doc README.md CHANGES
%{_bindir}/spirv-as
%{_bindir}/spirv-cfg
%{_bindir}/spirv-dis
%{_bindir}/spirv-lesspipe.sh
%{_bindir}/spirv-link
%{_bindir}/spirv-lint
%{_bindir}/spirv-opt
%{_bindir}/spirv-reduce
%{_bindir}/spirv-val
%{_bindir}/spirv-objdump

%files libs
%{_libdir}/libSPIRV-Tools-diff.so
%{_libdir}/libSPIRV-Tools-link.so
%{_libdir}/libSPIRV-Tools-lint.so
%{_libdir}/libSPIRV-Tools-opt.so
%{_libdir}/libSPIRV-Tools.so
%{_libdir}/libSPIRV-Tools-reduce.so
%{_libdir}/libSPIRV-Tools-shared.so

%files devel
%{_includedir}/spirv-tools/
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/SPIRV-Tools-shared.pc
%{_libdir}/pkgconfig/SPIRV-Tools.pc

%changelog
* Tue Dec 19 2023 luffyluo <luffyluo@tencent.com> - 2023.2-3
- update to vulkan-sdk-1.3.268.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 2023.2-1
- update to 2023.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Wang Guodong <gordonwwang@tencent.com> - 2023.1-1
- update to spirv tools for 1.3.239.0 sdk.

* Wed Nov 16 2022 cunshunxia <cunshunxia@tencent.com> - 2022.2-1
- initial build
